All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
op::FaceCpuRenderer Class Reference

`#include <faceCpuRenderer.hpp>`

Inherits op::Renderer, and op::FaceRenderer.

## Public Member Functions

| FaceCpuRenderer (const float renderThreshold, const float alphaKeypoint=FACE_DEFAULT_ALPHA_KEYPOINT, const float alphaHeatMap=FACE_DEFAULT_ALPHA_HEAT_MAP)
virtual | ~FaceCpuRenderer ()
void | renderFaceInherited (Array< float > &outputData, const Array< float > &faceKeypoints)
| DELETE_COPY (FaceCpuRenderer)
Public Member Functions inherited from op::Renderer
| Renderer (const float renderThreshold, const float alphaKeypoint, const float alphaHeatMap, const bool blendOriginalFrame=true, const unsigned int elementToRender=0u, const unsigned int numberElementsToRender=0u)
virtual | ~Renderer ()
void | increaseElementToRender (const int increment)
void | setElementToRender (const int elementToRender)
void | setElementToRender (const ElementToRender elementToRender)
bool | getBlendOriginalFrame () const
void | setBlendOriginalFrame (const bool blendOriginalFrame)
float | getAlphaKeypoint () const
void | setAlphaKeypoint (const float alphaKeypoint)
float | getAlphaHeatMap () const
void | setAlphaHeatMap (const float alphaHeatMap)
bool | getShowGooglyEyes () const
void | setShowGooglyEyes (const bool showGooglyEyes)
Public Member Functions inherited from op::FaceRenderer
virtual | ~FaceRenderer ()
virtual void | initializationOnThread ()
void | renderFace (Array< float > &outputData, const Array< float > &faceKeypoints, const float scaleInputToOutput)

## Additional Inherited Members

Protected Attributes inherited from op::Renderer
const float | mRenderThreshold
std::atomic< bool > | mBlendOriginalFrame
std::shared_ptr< std::atomic < unsigned int > > | spElementToRender
std::shared_ptr< const unsigned int > | spNumberElementsToRender
std::atomic< bool > | mShowGooglyEyes

## Constructor & Destructor Documentation

op::FaceCpuRenderer::FaceCpuRenderer | ( | const float | renderThreshold,
|  | const float | alphaKeypoint = `FACE_DEFAULT_ALPHA_KEYPOINT`,
|  | const float | alphaHeatMap = `FACE_DEFAULT_ALPHA_HEAT_MAP`
| ) |  |

virtual op::FaceCpuRenderer::~FaceCpuRenderer | ( |  | ) |

virtual

## Member Function Documentation

op::FaceCpuRenderer::DELETE_COPY | ( | FaceCpuRenderer |  | ) |

void op::FaceCpuRenderer::renderFaceInherited | ( | Array< float > & | outputData,
|  | const Array< float > & | faceKeypoints
| ) |  |

virtual

Implements op::FaceRenderer.

The documentation for this class was generated from the following file:

- /home/travis/build/CMU-Perceptual-Computing-Lab/openpose/include/openpose/face/faceCpuRenderer.hpp